<html>
<head>
   <title>PowerBook 1.21 -- English Installation</title>

<style type="text/css">
BODY
    {
        scrollbar-arrow-color: #001329;
        scrollbar-base-color: #3F5070;
    }
TD
    {
        font-size:13px;
        font-family:Arial,sans-serif;
    }
B
    {
        font-size:12px;
    }
B.SCRIPT
    {
        font-size:12px;
        font-weight: normal;
        color: #B0B0B0;
    }
DIV.HEADLINE
    {
        font-size: 40px;
        font-family: Arial;
        font-weight: bold;
    }
INPUT, TEXTAREA, SELECT
    {
        color: #FFFFFF;
        border-width: 1;
        border-color: #6078A0;
        border-style: solid;
        background: #001329;
    }
SMALL
    {
        font-size: 11px;
    }
HR
    {
         color: #001329;
    }
</style>

</head>
<body bgcolor="#002040" topmargin="10" bottommargin="10" leftmargin="10" rightmargin="10" text="#ffffff" link="#B5C3D9" vlink="#B5C3D9" alink="#B5C3D9" marginwidth="0" marginheight="0">

<div align="center">
<table border="0" cellpadding="5" cellspacing="1" width="90%" bgcolor="#6078A0">
<tr bgcolor="#001329"><td align="center">
<div class="headline">PowerBook 1.21</div>
<span style="font-size: 11px;">English Installation</span>
</td></tr><tr bgcolor="#001930"><td>

<?PHP
if ($install == "yes")
   {
     include("pb_inc/mysql.inc.php");
     include("pb_inc/mysql-connect.inc.php");

     // ** Droping older tables ** //
     mysql_query("DROP TABLE $pb_entries");
     mysql_query("DROP TABLE $pb_config");
     mysql_query("DROP TABLE $pb_admin");

     // ** Create admin table ** //
     echo "Creating table <b>$pb_admin</b>...";
     mysql_query("CREATE TABLE $pb_admin (
            id int(11) NOT NULL auto_increment,
            name varchar(100) NOT NULL,
            email varchar(250) NOT NULL,
            password varchar(100) NOT NULL,
            config enum('PERMITTED','FORBIDDEN') DEFAULT 'FORBIDDEN' NOT NULL,
            release enum('PERMITTED','FORBIDDEN') DEFAULT 'PERMITTED' NOT NULL,
            entries enum('PERMITTED','FORBIDDEN') DEFAULT 'PERMITTED' NOT NULL,
            admins enum('PERMITTED','FORBIDDEN') DEFAULT 'FORBIDDEN' NOT NULL,
            PRIMARY KEY (id)
      )");
      echo " Done.<br>";

      // ** Create config table ** //
      echo "Creating table <b>$pb_config</b>...";
      mysql_query("CREATE TABLE $pb_config (
             release enum('R','U') DEFAULT 'R' NOT NULL,
             send_email enum('Y','N') DEFAULT 'N' NOT NULL,
             email varchar(250) NOT NULL,
             date varchar(20) NOT NULL,
             time varchar(20) NOT NULL,
             spam_check varchar(10) NOT NULL,
             color varchar(10) NOT NULL,
             show_entries varchar(5) NOT NULL,
             guestbook_name varchar(250) NOT NULL,
             admin_url varchar(250) NOT NULL,
             text_format enum('Y','N') DEFAULT 'Y' NOT NULL,
             icons enum('Y','N') DEFAULT 'Y' NOT NULL,
             smilies enum('Y','N') DEFAULT 'Y' NOT NULL,
             icq enum('Y','N') DEFAULT 'Y' NOT NULL,
             pages enum('L','D') DEFAULT 'L' NOT NULL,
             use_thanks enum('Y','N') DEFAULT 'N' NOT NULL,
             language enum('ger1','ger2','eng') DEFAULT 'eng' NOT NULL,
             design text NOT NULL,
             thanks_title varchar(250) NOT NULL,
             thanks text NOT NULL,
             statements enum('Y','N') DEFAULT 'Y' NOT NULL
      )");
      echo " Done.<br>";

      // ** Creating entry table ** //
      echo "Creating table <b>$pb_entries</b>...";
      mysql_query("CREATE TABLE $pb_entries (
             id int(11) NOT NULL auto_increment,
             name varchar(100) NOT NULL,
             email varchar(250) NOT NULL,
             text text NOT NULL,
             date varchar(20) NOT NULL,
             homepage varchar(200) NOT NULL,
             icq varchar(20) NOT NULL,
             ip varchar(21) NOT NULL,
             status enum('R','U') DEFAULT 'R' NOT NULL,
             icon varchar(100) NOT NULL,
             smilies enum('Y','N') DEFAULT 'Y' NOT NULL,
             statement text NOT NULL,
             statement_by varchar(250) NOT NULL,
             PRIMARY KEY (id)
      )");
      echo " Done.<br>";

      // ** Insert standard config ** //
      echo "Inserting standard configuration...";
      mysql_query("INSERT INTO $pb_config VALUES ( 'R', 'N', '', 'l, jS F Y', 'H:i', '30', '#FF0000', '10', '', '', 'Y', 'Y', 'Y', 'Y', 'D', 'Y', 'eng', '<table width=\"560\" border=\"0\">
<tr bgcolor=\"#001329\"><td align=\"left\">
(#ICON#)<b>(#DATE#)</b>, <small>(#TIME#)h</small>
</td><td align=\"right\" width=\"121\">
(#EMAIL_NAME#)
</td></tr><tr><td valign=\"top\" bgcolor=\"#001930\">
(#TEXT#)
</td><td width=\"121\" align=\"right\" valign=\"top\" bgcolor=\"#001329\">
(#URL#)<br>
(#ICQ#)
</td></tr></table><br>', 'Thank you for your entry!', 'Hello (#NAME#)!

Thank you for your entry in my guestbook!

Greetings
The Admin', 'Y')");

        echo " Done.<br>";

    // ** Creating standard admin ** //
    echo "Creating standard admin...";
    mysql_query("INSERT INTO $pb_admin VALUES ( '1', 'PowerBook', 'powerbook@powerscripts.org', 'cG93ZXJib29r', 'PERMITTED', 'PERMITTED', 'PERMITTED', 'PERMITTED')");
    echo " Done.<br>";

    echo "<br><b>Installation successful!</b><br>Please delete the install_eng.php. Furthermore, check the configuration and your admin data in the <a href=\"pb_inc/admincenter/\">AdminCenter</a>. Your current name is <b>PowerBook</b>, your password <b>powerbook</b>.";

   }
else
   {
?>

Welcome to the installation file of <b class="script">PowerBook 1.21</b>!<br><br>

This file will automatically create all needed MySQL-tables. It is imperative that you configured the file <b>mysql.inc.php</b> correctly (see <a href="readme_eng.html">readme</a>) before clicking on "Install" - otherwise the installation will fail.<br><br>

Please note that this file installs <b class="script">PowerBook 1.21</b> and <i>might</i> delete all older <b class="script">PowerBook</b> tables in your database. If you want to upgrade from <b class="script">PowerBook 1.05</b>, please run the <a href="update_eng.php">update_eng.php</a>.<br><br>

<div align="center">[ <a href="install_eng.php?install=yes">Install</a> ]</div><br>

<?PHP
  }
?>

</td></tr><tr bgcolor="#001329"><td align="center">
<small><a href="http://www.powerscripts.org" target="_blank">PowerBook 1.21</a> &copy; 2002 by <a href="mailto:expandable@powerscripts.org">Axel Habermaier</a></small>
</td></tr></table></div>

</body>
</html>